π
<-
Chat plein-écran
[^]

firebird emulator for Linux

C, C++, ASM...

firebird emulator for Linux

Unread postby GHofficial » 12 May 2019, 10:53

Where I can download firebird emulator for linux
User avatar
GHofficial
Niveau 6: SM (Super Membre)
Niveau 6: SM (Super Membre)
Level up: 15.6%
 
Posts: 15
Images: 0
Joined: 28 Jan 2019, 19:15
Location: Moscow,Russia
Gender: Not specified
Calculator(s):

Re: firebird emulator for Linux

Unread postby Hamza.S » 12 May 2019, 10:55

Image
User avatar
Hamza.SAdmin
Niveau 17: GM (Grand Maître des calculatrices)
Niveau 17: GM (Grand Maître des calculatrices)
Level up: 11.2%
 
Posts: 3914
Images: 18
Joined: 07 Nov 2014, 00:43
Gender: Male
Calculator(s):

Re: firebird emulator for Linux

Unread postby GHofficial » 12 May 2019, 10:59

Hamza.S wrote:https://github.com/nspire-emus/firebird

How can I start emulator?
User avatar
GHofficial
Niveau 6: SM (Super Membre)
Niveau 6: SM (Super Membre)
Level up: 15.6%
 
Posts: 15
Images: 0
Joined: 28 Jan 2019, 19:15
Location: Moscow,Russia
Gender: Not specified
Calculator(s):

Re: firebird emulator for Linux

Unread postby Adriweb » 12 May 2019, 11:00

Look at the appropriate wiki page on the github repo Hamza linked just above
User avatar
AdriwebAdmin
Niveau 16: CC2 (Commandeur des Calculatrices)
Niveau 16: CC2 (Commandeur des Calculatrices)
Level up: 54.2%
 
Posts: 12940
Images: 1086
Joined: 01 Jun 2007, 00:00
Location: France
Gender: Male
Calculator(s):
Class: (ingénieur)
Twitter: adriweb
GitHub: adriweb

Re: firebird emulator for Linux

Unread postby Vogtinator » 12 May 2019, 11:07

It's linked on the GitHub releases page.

Latest release (v1.4): https://software.opensuse.org//download ... rebird-emu
Builds from git master: https://software.opensuse.org//download ... rebird-emu
User avatar
VogtinatorPremium
Niveau 8: ER (Espèce Rare: nerd)
Niveau 8: ER (Espèce Rare: nerd)
Level up: 57%
 
Posts: 158
Joined: 29 Mar 2014, 15:55
Gender: Male
Calculator(s):

Re: firebird emulator for Linux

Unread postby parisse » 22 May 2020, 18:13

I just tried to install firebird-emu on Debian 10.4 (64 bits) with the debian package. I ran firebird-emu then tried to create the flash with boot1.img.tns, boot2.img.tns, a tcc file (ti nspire cx) and diags.img.tns, but I get the message
Preload image(s) too large
followed by a segfault.
Firebird version is 1.5.
Is there any way to transfert a flash image from Firebird 0.31-dev for Mac (where I have firebird working) to the linux 1.5 version of Firebird?
User avatar
parisseVIP++
Niveau 12: CP (Calculatrice sur Pattes)
Niveau 12: CP (Calculatrice sur Pattes)
Level up: 0.6%
 
Posts: 2004
Joined: 13 Dec 2013, 16:35
Gender: Not specified

Re: firebird emulator for Linux

Unread postby Vogtinator » 22 May 2020, 19:01

That's interesting - how big are those images (in Bytes)? Can you provide a backtrace of the crash?

Note that technically you don't have to provide any preload files in the flash dialog, just creating an empty flash image is enough to get it booted, though you'll have to send boot2 over X-Modem when prompted and the .tcc over USB. Maybe the .tcc file grew too big for the preload area, in that case you can try with just specifying boot2.

You can just copy over the flash file from the old firebird to new (and vice versa) they're perfectly compatible.
User avatar
VogtinatorPremium
Niveau 8: ER (Espèce Rare: nerd)
Niveau 8: ER (Espèce Rare: nerd)
Level up: 57%
 
Posts: 158
Joined: 29 Mar 2014, 15:55
Gender: Male
Calculator(s):

Re: firebird emulator for Linux

Unread postby parisse » 22 May 2020, 19:52

If I try to load a snapshot from the mac emu to the linux emu, it fails.
If I save the flash from Flash>Save, I have no idea where the flash is saved.
I don't understand what you mean by creating an empty flash file.
If I try to boot I get an error message that a valid boot 1 file should be provided. I'm using exactly the same files as those reported by the old emulator.
User avatar
parisseVIP++
Niveau 12: CP (Calculatrice sur Pattes)
Niveau 12: CP (Calculatrice sur Pattes)
Level up: 0.6%
 
Posts: 2004
Joined: 13 Dec 2013, 16:35
Gender: Not specified

Re: firebird emulator for Linux

Unread postby Vogtinator » 22 May 2020, 20:05

parisse wrote:If I try to load a snapshot from the mac emu to the linux emu, it fails.


Yes, the snapshot file is not compatible, the flash file is though.

parisse wrote:If I save the flash from Flash>Save, I have no idea where the flash is saved.


Where you configured it in the settings, you should see the file name. If you open the browser to select a different one, it'll open the location where it currently is.

parisse wrote:I don't understand what you mean by creating an empty flash file.


Just not selecting anything in the "Create Flash" dialog.

parisse wrote:If I try to boot I get an error message that a valid boot 1 file should be provided. I'm using exactly the same files as those reported by the old emulator.


That means you didn't select one in the configuration dialog or it failed to open.
User avatar
VogtinatorPremium
Niveau 8: ER (Espèce Rare: nerd)
Niveau 8: ER (Espèce Rare: nerd)
Level up: 57%
 
Posts: 158
Joined: 29 Mar 2014, 15:55
Gender: Male
Calculator(s):

Re: firebird emulator for Linux

Unread postby parisse » 22 May 2020, 20:24

Vogtinator wrote:
Where you configured it in the settings, you should see the file name. If you open the browser to select a different one, it'll open the location where it currently is.

I can indeed see the filename of the flash in the Settings of the old emulator. But how can I tell the new emulator it should run with this old flash?

parisse wrote:I don't understand what you mean by creating an empty flash file.


Just not selecting anything in the "Create Flash" dialog.

If I do that, I get the error that I must provide a valid boot 1 file if I try to reboot the emulator.

parisse wrote:If I try to boot I get an error message that a valid boot 1 file should be provided. I'm using exactly the same files as those reported by the old emulator.


That means you didn't select one in the configuration dialog or it failed to open.

But I selected the file in the config dialog and it shows "Chargé" (Loaded) instead of None.

Or maybe there is something wrong with the package? (I installed it with dpkg -i followed by apt-get -f install). The program runs very slowly and I get the following error messages at startup
Code: Select all
firebird-emu
Could not create QML config dialog: "qrc:/qml/qml/FBConfigDialog.qml:3 module \"QtQuick.Dialogs\" is not installed\n"
Could not create mobile UI component: "qrc:/qml/qml/MobileUI.qml:6 module \"QtQuick.Dialogs\" is not installed\n"
QQmlComponent: Component is not ready
Could not create config dialog!
User avatar
parisseVIP++
Niveau 12: CP (Calculatrice sur Pattes)
Niveau 12: CP (Calculatrice sur Pattes)
Level up: 0.6%
 
Posts: 2004
Joined: 13 Dec 2013, 16:35
Gender: Not specified

Next

Return to Native: Ndless, Linux, ...

Who is online

Users browsing this forum: No registered users and 3 guests

-
Search
-
Featured topics
L'OS 5.5 de la TI-83 Premium CE / 84 Plus CE supprime l'assembleur - la plupart des jeux et certains programme ne fonctionneront plus
Omega, le fork étendant les capacités de ta NumWorks, même en mode examen !
Découvre les nouvelles fonctionnalités en Python de l'OS 5.5 pour la 83PCE/84+C-T Python Edition
Comparaisons des meilleurs prix pour acheter sa calculatrice !
1234
-
Donations / Premium
For more contests, prizes, reviews, helping us pay the server and domains...

Discover the the advantages of a donor account !
JoinRejoignez the donors and/or premium!les donateurs et/ou premium !


Partner and ad
Notre partenaire Jarrety Calculatrices à acheter chez Calcuso
-
Stats.
422 utilisateurs:
>395 invités
>21 membres
>6 robots
Record simultané (sur 6 mois):
6892 utilisateurs (le 07/06/2017)
-
Other interesting websites
Texas Instruments Education
Global | France
 (English / Français)
Banque de programmes TI
ticalc.org
 (English)
La communauté TI-82
tout82.free.fr
 (Français)